VCMD0028040100000000COMPONENT          
Node "rSimResource"
{
Name "NewComponent"
Id 1
NodeClass 
{
Id 1
Feature "rGeoFeature"
{
Name "Block"

Visible 1

Uri "block"
OnDemandLoad 0
UseBackfaces 0
MaterialInheritance "Disabled"
}
SimAttribute "rSimApplyMaterialAttribute"
{
Material  "wood_pine"
{
  Ambient
  {
    Red 0.150000005960464
    Green 0.150000005960464
    Blue 0.150000005960464
  }
  Diffuse
  {
    Red 0.600000023841858
    Green 0.600000023841858
    Blue 0.600000023841858
  }
  Specular
  {
    Color
    {
      Red 0.330000013113022
      Green 0.330000013113022
      Blue 0.330000013113022
    }
    Shininess 0.100000001490116
  }
}

}
VCID "2fc25733-8d51-4531-bf71-9c178e785e9c"
}
Functionality "rPythonScript"
{
Id 1
Name "PythonScript"
Script "from vcScript import *\n\ncomp = getComponent()\n\ndef OnRun():
\n  GeoCont = comp.Geometry
\n  GeoSet = GeoCont.GeometrySets[0] #list of sets in container, we have only one. 
\n  GeoSet.DynamicTextureCoordinates1 = True
\n  CoordIndices = [int(x) for x in GeoSet.TextureCoordinateTable] #table of texcoord indeces
\n  OrigCoords = GeoSet.getTextureCoordinates(CoordIndices)
\n  
\n  for x in range(10):
\n    for i in range(GeoSet.PointCount): #we parse through all points in geoset. Points have the UV coord set.
\n      Coord = GeoSet.getTexCoord1(i) # <-Tuple
\n      GeoSet.setTexCoord1(i,Coord[0],Coord[1]+0.1)
\n    delay(0.1)
\n    GeoSet.update()
\n  GeoSet.setTextureCoordinates(CoordIndices, OrigCoords)
\n  
\n \n\n\n"
CompatibilityMode 0
}
VCID 2fc25733-8d51-4531-bf71-9c178e785e9c
OriginalUri file:///C:/Users/SoikkJa1/Documents/Visual+Components/4.1/My+Models/UpdateTextureCoords.vcmx
Revision 4
Location 1 0 0 0 0 1 0 0 0 0 1 0 0 0 14.5025286611 1 
ActiveSimulationLevel detailed
BOMname  "NewComponent"

BOMdescription  ""

Category  ""

VariableSpace ""
{
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group -1130
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
    }
  }
}
}
